
// On body load function 
function onLoad() {
	document.addEventListener("deviceready", onDeviceReady, false);
	localStorage.serviceURL = 'http://freerechargehub.in/freerechargeyii';
}

// device APIs are available
//
	function onDeviceReady() {
		//document.addEventListener("pause", onPause, false);
		document.addEventListener("resume", onResume, false);
		pushNotification = window.plugins.pushNotification;
		
		if ( device.platform == 'android' || device.platform == 'Android' || device.platform == "amazon-fireos" ){
			pushNotification.register(
			successHandler,
			errorHandler,
			{
				"senderID":"13925223796",
				"ecb":"onNotification"
			});
		}
		
		trySilentLogin();
		
	}

// Handle the resume event
//
function onResume() {
	initApp();
}

// onError: Failed to get the contact
	function onError(contactError) {
		//alert('onError!');
	}
    
// result contains any message sent from the plugin call
	function successHandler (result) {
		//alert('result = ' + result);
	}

// result contains any error description text returned from the plugin call
	function errorHandler (error) {
		//alert('error = ' + error);
	}
	
	
// Android and Amazon Fire OS
	function onNotification(e) {
		//$("#app-status-ul").append('<li>EVENT -> RECEIVED:' + e.event + '</li>');
		switch( e.event )
		{
		case 'registered':
			if ( e.regid.length > 0 )
			{
				localStorage.regID=e.regid;
				//alert(localStorage.regID);
				//$("#app-status-ul").append('<li>REGISTERED -> REGID:' + e.regid + "</li>");
				// Your GCM push server needs to know the regID before it can push to this device
				// here is where you might want to send it the regID for later use.
				//console.log("regID = " + e.regid);
			}
		break;

		case 'message':
			// if this flag is set, this notification happened while we were in the foreground.
			// you might want to play a sound to get the user's attention, throw up a dialog, etc.
			if ( e.foreground )
			{
				//$("#app-status-ul").append('<li>--INLINE NOTIFICATION--' + '</li>');

				// on Android soundname is outside the payload.
				// On Amazon FireOS all custom attributes are contained within payload
				var soundfile = e.soundname || e.payload.sound;
				// if the notification contains a soundname, play it.
				//var my_media = new Media("/android_asset/www/"+ soundfile);
				//my_media.play();
			}
			else
			{  // otherwise we were launched because the user touched a notification in the notification tray.
				if ( e.coldstart )
				{
					//$("#app-status-ul").append('<li>--COLDSTART NOTIFICATION--' + '</li>');
				}
				else
				{
					//$("#app-status-ul").append('<li>--BACKGROUND NOTIFICATION--' + '</li>');
				}
			}

		   //$("#app-status-ul").append('<li>MESSAGE -> MSG: ' + e.payload.message + '</li>');
			   //Only works for GCM
		   //$("#app-status-ul").append('<li>MESSAGE -> MSGCNT: ' + e.payload.msgcnt + '</li>');
		   //Only works on Amazon Fire OS
		   //$status.append('<li>MESSAGE -> TIME: ' + e.payload.timeStamp + '</li>');
		break;

		case 'error':
			//$("#app-status-ul").append('<li>ERROR -> MSG:' + e.msg + '</li>');
		break;

		default:
			//$("#app-status-ul").append('<li>EVENT -> Unknown, an event was received and we do not know what it is</li>');
		break;
	  }
	}
	
	
// Application login
   
	function login(){
		
		enablepage(1);
	
	
		 window.plugins.googleplus.login(
			{
			'iOSApiKey': '6535513912-uvpf249ak7avodois85tkjmh2lc2j952.apps.googleusercontent.com'
			},
			function (obj) {
				
				localStorage.imageUrl = obj.imageUrl;
				localStorage.displayName = obj.displayName;
				var action= localStorage.serviceURL+'/freerecharge/signup';
				$.ajax({
						"method": "POST",
						"url": action,
						dataType: 'text',
						async: false,
						data: {'username': obj.userId, 'source':"google", 'key':obj.oauthToken, 'uuid':device.uuid, 'email':obj.email, 'displayName':obj.displayName, 'gender':obj.gender, 'profile_pics':obj.imageUrl,'device_token':localStorage.regID}, 
						crossDomain: true,
						  error: function (jqXHR, textStatus, errorThrown) {
							swal(errorThrown);
						},
						success: function (response) {
								var json = $.parseJSON(response);
								$('#userrefcode').html(json.referral_code);
								$('#refmessage').html(json.referral_msg);
								$('#tips').html('<b>'+json.tips+'</b>');
								
								localStorage.shareMsg = json.sharemsg + ' Referral Code : '+json.referral_code;
								
								addRechargeOption();
								aboutus();
								faqs();
								initApp();
								sendInstallAppInfo();
								document.querySelector(".profileImage").src = obj.imageUrl;
								document.querySelector(".profileName").innerHTML = obj.displayName;
								enablepage(0);
								showApplication();
								
								if (json.refralused=='0'){
									onReffer();
								}
								
						}
				});
				
				
			},
			function (msg) {
				document.querySelector("#feedback").innerHTML = "error: " + msg;
			}
		);
			
	}
	
	
// SMS Verification	
function onSMS(){
	
	swal({
	  title: "Please enter your mobile number",
	  text: "",
	  type: "input",
	  showCancelButton: false,
	  closeOnConfirm: false,
	  animation: "slide-from-top",
	  inputPlaceholder: "Mobile number"
	},
	function(inputValue){
	  if (inputValue === false) return false;
	  
	  if (inputValue === "") {
		swal.showInputError("Please enter valid mobile number.");
		return false
	  }
	  
		var action= localStorage.serviceURL+'/freerecharge/dorefral';
			$.ajax({
					"method": "POST",
					"url": action,
					dataType: 'text',
					async: false,
					data: {'uuid': device.uuid, 'mobile':inputValue}, 
					crossDomain: true,
					  error: function (jqXHR, textStatus, errorThrown) {
						//alert(errorThrown);
					},
					success: function (response) {
							var json = $.parseJSON(response);
							if (json.success=='0'){
								
								swal({
									  title: "Please enter verification code",
									  text: "",
									  type: "input",
									  showCancelButton: false,
									  closeOnConfirm: false,
									  animation: "slide-from-top",
									  inputPlaceholder: "verification code"
									},
									function(inputValue){
									  if (inputValue === false) return false;
									  
									  if (inputValue === "") {
										swal.showInputError("Please enter valid verification code.");
										return false
									  }
									  
										var action= localStorage.serviceURL+'/freerecharge/dorefral';
											$.ajax({
													"method": "POST",
													"url": action,
													dataType: 'text',
													async: false,
													data: {'uuid': device.uuid, 'code':inputValue}, 
													crossDomain: true,
													  error: function (jqXHR, textStatus, errorThrown) {
														//alert(errorThrown);
													},
													success: function (response) {
															var json = $.parseJSON(response);
															if (json.success=='0'){
															}else{
																swal(json.message);
															}
													}
											});
										
									});
								
								
							}else{
								swal(json.message);
							}
					}
			});
		
	});
	
}
	
// Reffer inform form	
function onReffer(){
	
	swal({
	  title: "Do you have referral code ?",
	  text: "",
	  type: "input",
	  showCancelButton: true,
	  closeOnConfirm: false,
	  inputPlaceholder: "Please enter referral code"
	},
	function(inputValue){
	  if (inputValue === false) return false;
	  
	  if (inputValue === "") {
		swal.showInputError("Please enter valid referal code.");
		return false
	  }
	  
		var action= localStorage.serviceURL+'/freerecharge/dorefral';
			$.ajax({
					"method": "POST",
					"url": action,
					dataType: 'text',
					async: false,
					data: {'uuid': device.uuid, 'refral':inputValue}, 
					crossDomain: true,
					  error: function (jqXHR, textStatus, errorThrown) {
						//alert(errorThrown);
					},
					success: function (response) {
							var json = $.parseJSON(response);
							if (json.success=='0'){
								swal(json.message);
							}else{
								trans();
								swal(json.message);
							}
					}
			});
		
	});
	
	
}	


// Send user install app list to server
 function sendInstallAppInfo(){
		
	var action= localStorage.serviceURL+'/freerecharge/installedApp';
	//alert("sendInstallAppInfo "+localStorage.installList);
	$.ajax({
		"method": "POST",
		"url": action,
		dataType: 'text',
		async: false,
		data: {'uuid':device.uuid,'data':localStorage.installList}, 
		crossDomain: true,
		  error: function (jqXHR, textStatus, errorThrown) {
			swal(errorThrown);
		},
		success: function (response) {
			var json = $.parseJSON(response);
			localStorage.installList='';
			//alert(json.message)
			if(json.success=='1'){
				//initApp();	
			}
			
		}
	});
	
}


// shareByWhatsapp	
function shareByWhatsapp(){
	
	window.plugins.socialsharing.shareViaWhatsApp(localStorage.shareMsg, null /* img */, null /* url */, function() {console.log('share ok')}, function(errormsg){swal(errormsg)});
	
}

// shareByFb
function shareByFb(){
	
	window.plugins.socialsharing.shareViaFacebook(localStorage.shareMsg, null /* img */, null /* url */, function() {console.log('share ok')}, function(errormsg){swal(errormsg)});
	
}


// shareByTwitter
function shareByTwitter(){
	
	window.plugins.socialsharing.shareViaTwitter(localStorage.shareMsg);
	
}

//shareByEmail
function shareByEmail(){
	
	window.plugins.socialsharing.shareViaEmail(
	  localStorage.shareMsg, // can contain HTML tags, but support on Android is rather limited:  http://stackoverflow.com/questions/15136480/how-to-send-html-content-with-image-through-android-default-email-client
	  'Get Free Talktime - FreeRechargeHub',
	  ['to@person1.com'], // TO: must be null or an array
	  null, // BCC: must be null or an array
	  ['https://www.google.nl/images/srpr/logo4w.png','www/localimage.png'], // FILES: can be null, a string, or an array
	  onSuccess, // called when sharing worked, but also when the user cancelled sharing via email (I've found no way to detect the difference)
	  onError // called when sh*t hits the fan
	);
}


//shareByshareall
function shareByshareall(){
	
	window.plugins.socialsharing.share(localStorage.shareMsg);
	
}

	
// Display Application screen	
function showApplication(){
	$('#loginpage').hide();
	$('body').removeClass('bodyhome');
	  
	$('#application').css( "visibility", "visible" );
	$('#application').css( "overflow", "visible" );
	$('#application').css( "height", "auto" );
	 
}

// Display login screen
function showLogin(){
	$('#loginpage').show();	
	$('#application').css( "visibility", "hidden");
	$('#application').css( "overflow", "hidden" );
	$('#application').css( "height", "15px" );	
}


// Add Recharge option drop down
function addRechargeOption(){
	//$('#rechargeopt').append('<option>Vodafaone</option><option>Idea</option><option>Aircel</option>');
	
	var action= localStorage.serviceURL+'/freerecharge/mobilenetwork';
	$.ajax({
		"method": "POST",
		"url": action,
		dataType: 'text',
		async: false,
		data: {'uuid':device.uuid}, 
		crossDomain: true,
		  error: function (jqXHR, textStatus, errorThrown) {
			//alert('new textStatus=' + textStatus + ' errorThrown=' + errorThrown);
			//alert(errorThrown);
		},
		success: function (response) {
			var data = JSON.parse(response);
			$.each(data, function(i, field){
				if(field.prepaid=='prepaid'){
					$('#rechargeopt').append('<option value='+field.keywork+'> '+field.operator+' </option>');
				}else{
					$('#rechargepostopt').append('<option value='+field.keywork+'> '+field.operator+' </option>');
				}
				
			});
		}
	});
}


// Update content to about us static page
function aboutus(){
	  var action= localStorage.serviceURL+'/freerecharge/pagedata';
	  $("#aboutus").html('');
	  $.getJSON(action, {id:2}, function(result){
			$("#aboutus").append(result.content);
	  });
}

// Update content to FAQs static page
function faqs(){
	  var action= localStorage.serviceURL+'/freerecharge/pagedata';
	  $("#faqs").html('');
	  $.getJSON(action, {id:3}, function(result){
			$("#faqs").append(result.content);
	  });
}

// Update application init
function initApp(){
	if(localStorage.installapp){
		checkInstall(localStorage.installapp, localStorage.open_type);
	}
	onLoadOffer();
	updateWallet();
	trans();
}


// check offer install
function checkInstall(scheme, open_type){
	
	if (open_type=='self'){
		
		//var action= localStorage.serviceURL+'/freerecharge/updatewalletstatus';
		var action= localStorage.serviceURL+'/freerecharge/adddataintowallet';
				$.ajax({
						"method": "POST",
						"url": action,
						dataType: 'text',
						async: false,
						data: {'uuid': device.uuid, 'package':scheme}, 
						crossDomain: true,
						  error: function (jqXHR, textStatus, errorThrown) {
							swal(errorThrown);
						},
						success: function (response) {
								var json = $.parseJSON(response);
								if (json.success==1){
									swal(json.message);
								}else{
									swal(json.message);
								}
								localStorage.installapp = '';
								localStorage.open_type = '';
						}
				});
			 
			 
			return "1";
		
	}else{
			
		navigator.startApp.start(scheme, function(message) {  /* success */
			//console.log(message); // => OK
			 //var action= localStorage.serviceURL+'/freerecharge/updatewalletstatus';
			 var action= localStorage.serviceURL+'/freerecharge/adddataintowallet';
					$.ajax({
							"method": "POST",
							"url": action,
							dataType: 'text',
							async: false,
							data: {'uuid': device.uuid, 'package':scheme}, 
							crossDomain: true,
							  error: function (jqXHR, textStatus, errorThrown) {
								swal(errorThrown);
							},
							success: function (response) {
									var json = $.parseJSON(response);
									if (json.success==1){
										swal(json.message);
									}else{
										swal(json.message);
									}
									localStorage.installapp = '';
									localStorage.open_type = '';
							}
					});
				 
				 
				return "1";
		}, 
		function(error) { /* error */
			//console.log(error);
			 return "0";
		});
		
	}
				
}


// Update offer page

/*function onLoadOffer1(){		
	
	var action= localStorage.serviceURL+'/freerecharge/getuser';
		$.ajax({
				"method": "POST",
				"url": action,
				dataType: 'text',
				async: false,
				data: {'uuid': device.uuid}, 
				crossDomain: true,
				error: function (jqXHR, textStatus, errorThrown) {
					alert(errorThrown);
				},
				success: function (response) {
					var data = JSON.parse(response);
					$.each(data.offers, function(i, field){
						
							appAvailability.check(
							field.package,       // URI Scheme or Package Name
							function() {  // Success callback
								//alert(field.package + ' is available :)');
								localStorage.installList = localStorage.installList+'<=>'+field.package;
								//alert(localStorage.installList);
							},
							function() {  // Error callback
									  
									  var htmldata = '<div class="offer-content">'+
											'<div class="col-xs-3 col-sm-3">'+
											'<div class="row">'+
											   '<a href="#"><img src="'+field.logo+'"> </a>'+
											  '</div>'+
											'</div>'+
											 '<div class="col-xs-6 col-sm-6">'+
											 '<div class="row">'+
											   '<div class="title-offer">'+
												'<h5>'+field.shortDescription+'</h5>'+
												'<p>'+field.longDescription+'</p>'+
											'</div>'+
											'</div>'+
											 '</div>'+
											 '<div class="col-xs-3 col-sm-3">'+
											   '<div class="row">'+
												'<div class="wallet">'+
													 '<img src="images/rs.png"><span>'+parseInt(field.offeredCommision)+' </span>'+
												'</div>'+
												'</div>'+
											 '</div>'+
											 
											 '<div class="clr"></div>'+
											 '<div class="install-cont">'+
											   '<div class="col-xs-9 col-sm-9">'+
											   '<div class="row">'+		
												 '<p>Install app & Get 20Rs. Free Recharge</p>'+
												 '</div>'+
											   '</div>'+
											  '<div class="col-xs-3 col-sm-3 pull-right">'+
												'<div class="row">'+
												  '<button type="button" onclick="return onInstall(\''+field.url+'\',\''+field.package+'\');">Install</button>'+
												  '</div>'+
											  '</div>'+				  
											 '</div>'+
										'</div>';
								$("#offerlist").append(htmldata);
							}
						);
						
					});
				}
		});
	
}*/

// Update offer page
function onLoadOffer(){		
	
	enablepage(1);
	
	  var action=localStorage.serviceURL+'/freerecharge/offers';
		$("#offerlist").html('');
		
		//localStorage.installList = '';
		$.getJSON(action, {uuid: device.uuid}, function(result){
			if(result.error!='1'){
				$("#offerlist").html('');
				$.each(result, function(i, field){
					
					appAvailability.check(
						field.package,       // URI Scheme or Package Name
						function() {  // Success callback
							//alert(field.package + ' is available :)');
							localStorage.installList = localStorage.installList+'<=>'+field.package;
							//alert(localStorage.installList);
							localStorage.offerList= localStorage.offerList + ',' + field.id;
						},
						function() {  // Error callback
								  
								  var retation_days = '';
								  
								  if (field.retation_days>1){
										retation_days = '<div class="clr"></div>'+
										 '<div class="install-cont keepapp">'+
										   '<div class="col-xs-12 col-sm-12">'+
												'<div class="row">'+
													 '<button type="button" onclick="return onInstall(\''+field.url+'\',\''+field.package+'\',\''+field.detail_description+'\',\''+field.open_type+'\');">Keep the app for <strong> '+field.retation_days+' days </strong> to get additinal <strong> &#8377; '+field.ratation_payout+'</strong></button>'+
												'</div>'+		
										   '</div>'+				  
										 '</div>';
									}
								
								 
								  
								  var htmldata = '<div class="offer-content">'+
										'<div class="col-xs-3 col-sm-3">'+
										'<div class="row">'+
										   '<a href="#"><img src="'+field.logo+'"> </a>'+
										  '</div>'+
										'</div>'+
										 '<div class="col-xs-6 col-sm-6">'+
										 '<div class="row">'+
										   '<div class="title-offer">'+
											'<h5>'+field.shortDescription+'</h5>'+
											'<p>'+field.longDescription+'</p>'+
										'</div>'+
										'</div>'+
										 '</div>'+
										 '<div class="col-xs-3 col-sm-3">'+
										   '<div class="row">'+
											'<div class="wallet">'+
												 '<img src="images/rs.png"><span>'+parseInt(field.offeredCommision)+' </span>'+
											'</div>'+
											'</div>'+
										 '</div>'+
										 
										 '<div class="clr"></div>'+
										 '<div class="install-cont">'+
										   '<div class="col-xs-9 col-sm-9">'+
										   '<div class="row">'+		
											 '<p>'+field.summary+'</p>'+
											 '</div>'+
										   '</div>'+
										  '<div class="col-xs-3 col-sm-3 pull-right">'+
											'<div class="row">'+
											  '<button type="button" onclick="return onInstall(\''+field.url+'\',\''+field.package+'\',\''+field.detail_description+'\',\''+field.open_type+'\');">'+field.button_caption+'</button>'+
											  '</div>'+
										  '</div>'+				  
										 '</div>'+ retation_days +
									'</div>';
									
									
									
							$("#offerlist").append(htmldata);
						}
					);
				});
				//logs 
				
					
				var action= localStorage.serviceURL+'/freerecharge/addlog';
				$.ajax({
					"method": "GET",
					"url": action,
					dataType: 'text',
					async: false,
					data: {'uuid':device.uuid, 'package_id':localStorage.offerList}, 
					crossDomain: true,
					  error: function (jqXHR, textStatus, errorThrown) {
						//alert(errorThrown);
					},
					success: function (response) {
						
						
					}
				});
				
				
				enablepage(0);
			}else{
				
				var htmldata = 	'<h4>'+result.message+'</h4>';
				$("#offerlist").append(htmldata);
			}
		});
		
		
	
}

// On Install validate offer

function onInstall(url, scheme, content, open_type){
	
	enablepage(1);
	
	swal({
		  title: "",
		  text: content,
		  showCancelButton: true,
		  confirmButtonColor: "#DD6B55",
		  confirmButtonText: "Continue...",
		  cancelButtonText: "Cancel !",
		  closeOnConfirm: true,
		  closeOnCancel: true
		},
		function(isConfirm){
			
		  if (isConfirm) {
				//var action= localStorage.serviceURL+'/freerecharge/adddataintowallet';
				
				localStorage.installapp = scheme;
				localStorage.open_type = open_type;
				
				if (open_type=='self'){
					window.open(url, '_blank');
				}else if (open_type=='iframe'){
					enablepage(1);
					$("#frame").attr("src", url);
				}else{
					window.open(url, '_system');
				}
				
				/*$.ajax({
						"method": "POST",
						"url": action,
						dataType: 'text',
						async: false,
						data: {'uuid': device.uuid, 'package':scheme}, 
						crossDomain: true,
						  error: function (jqXHR, textStatus, errorThrown) {
							swal(errorThrown);
						},
						success: function (response) {
								var json = $.parseJSON(response);
								if (json.success=='1'){
									localStorage.installapp = scheme;
									localStorage.open_type = open_type;
									
									if (open_type=='self'){
										window.open(url, '_blank');
									}else if (open_type=='iframe'){
										enablepage(1);
										$("#frame").attr("src", url);
									}else{
										window.open(url, '_system');
									}
								}
								//swal(json.message);
						}
				});*/
				
		  } else {
				//swal("Cancelled", "Your imaginary file is safe :)", "error");
		  }
		});
	
	enablepage(0);
	//return false;
	 
}


// Update user trans page
function trans(){
			  
	  var action= localStorage.serviceURL+'/freerecharge/wallethistory';
	  $("#trans").html('');
	  $.getJSON(action, {uuid: device.uuid}, function(result){
		  
		$.each(result, function(i, field){
			htmldata = '';
			
			if (result.success=='1'){
				
				htmldata = '<div>'+
							   '<h4>'+result.message+'</h4>'+
						  '</div>';
				
				$("#trans").html(htmldata);
				htmldata = '';
			}
			
			if(field.amountstatus=='CR'){
				  
				  htmldata = '<div class="offer-content">'+
					  '<div class="col-xs-8 col-sm-8">'+
						 '<div class="row">'+
						   '<div class="title-offer">'+
							'<h5>'+field.remark+'</h5>'+
							'<p>'+field.dated+'</p>'+
						  '</div>'+
						'</div>'+
						 '</div>'+
						  '<div class="col-xs-4 col-sm-4">'+
						   '<div class="row">'+
							'<div class="cercle-green"> <span class="rs-font"> <b> &#8377; </b>'+parseInt(field.amount)+'</span> <img src="images/credit.png" />  </div>'+
							'</div>'+
						 '</div>'+
					'</div>';
					
			}else if(field.amountstatus=='DR'){
				  
				  htmldata = '<div class="offer-content">'+
					  '<div class="col-xs-8 col-sm-8">'+
						 '<div class="row">'+
						   '<div class="title-offer">'+
							'<h5>'+field.remark+'</h5>'+
							'<p>'+field.dated+'</p>'+
						  '</div>'+
						'</div>'+
						 '</div>'+
						  '<div class="col-xs-4 col-sm-4">'+
						   '<div class="row">'+
							'<div class="cercle-green"> <span class="rs-font"> <b> &#8377; </b>'+parseInt(field.amount)+'</span>  <img src="images/card_debit.png" /> </div>'+
							'</div>'+
						 '</div>'+
					'</div>';
			}else if(field.amountstatus=='NA'){
				
				htmldata = '<div class="offer-content">'+
					  '<div class="col-xs-8 col-sm-8">'+
						 '<div class="row">'+
						   '<div class="title-offer">'+
							'<h5>'+field.remark+'</h5>'+
							'<p>'+field.dated+'</p>'+
						  '</div>'+
						'</div>'+
						 '</div>'+
						  '<div class="col-xs-4 col-sm-4">'+
						   '<div class="row">'+
							'<div class="cercle-green"> <span class="rs-font"> <b> &#8377; </b>'+parseInt(field.amount)+'</span>  <img src="images/process_bar.gif" /> </div>'+
							'</div>'+
						 '</div>'+
					'</div>';
				
			}else{
				
				if (field.remark){
					htmldata = '<div class="offer-content">'+
						  '<div class="col-xs-8 col-sm-8">'+
							 '<div class="row">'+
							   '<div class="title-offer">'+
								'<h5>'+field.remark+'</h5>'+
								'<p>'+field.dated+'</p>'+
							  '</div>'+
							'</div>'+
							 '</div>'+
							  '<div class="col-xs-4 col-sm-4">'+
							   '<div class="row">'+
								'<div class="cercle-green"> <span class="rs-font"> <b> &#8377; </b>'+parseInt(field.amount)+'</span>  <img src="images/cancel.png" /> </div>'+
								'</div>'+
							 '</div>'+
						'</div>';
				}
			}
				
			$("#trans").append(htmldata);
		});
	});

	
}


// Update user wallet amount
function updateWallet(){
	
	var action= localStorage.serviceURL+'/freerecharge/gettotalwalletamount';
	$.ajax({
		"method": "POST",
		"url": action,
		dataType: 'text',
		async: false,
		data: {'uuid':device.uuid}, 
		crossDomain: true,
		  error: function (jqXHR, textStatus, errorThrown) {
			//alert(errorThrown);
		},
		success: function (response) {
			var data = JSON.parse(response);
			if (data.success=='1'){
				$("#wallet").html(parseInt(data.walletamount));
				$("#currentbalance").html(parseInt(data.walletamount));
				$("#totalcr").html('Total Earning : <b> &#8377; '+parseInt(data.credit)+' </b>');
				$("#totaldr").html('Redeem Amount : <b> &#8377;  '+parseInt(data.debit)+' </b>');
			}
			
		}
	});
	
}


// Prepaid function 
function prepaidfunc(){
	
		if(!$('#premobilenumber').val()){
			swal("Please enter mobile number.");
			$('#premobilenumber').focus();
			return false;
		}
		
		if(!$('#preamt').val()){
			swal("Please enter recharge amount. Minimum amount Rs. 10 !");
			$('#preamt').focus();
			return false;
		}
	
		enablepage(1);
		
		var action= localStorage.serviceURL+'/freerecharge/mobilerecharge';
		$.ajax({
			"method": "POST",
			"url": action,
			dataType: 'text',
			async: false,
			data: {'mobileNumber':$('#premobilenumber').val(), 'mobileNetwork':$('#rechargeopt').val(), 'rechargeAmount':$('#preamt').val(), 'uuid':device.uuid, 'appversion':'4'}, 
			crossDomain: true,
			  error: function (jqXHR, textStatus, errorThrown) {
				//alert(errorThrown);
			},
			success: function (response) {
				var json = $.parseJSON(response);
				
				if(json.success=='1'){
					initApp();	
				}else{
					
					swal({
					  title: "",
					  text: json.message,
					  type: "warning",
					  showCancelButton: false,
					  confirmButtonColor: "#DD6B55",
					  confirmButtonText: "Ok",
					  closeOnConfirm: false
					});
					
				}
				
				if(json.recharge=='1'){
					
					swal({
					  title: "",
					  text: json.rateit,
					  type: "success",
					  showCancelButton: true,
					  confirmButtonColor: "#DD6B55",
					  confirmButtonText: "Rate It!",
					  cancelButtonText: "No Thanks",
					  closeOnConfirm: true,
					  closeOnCancel: true
					},
					function(isConfirm){
					  if (isConfirm) {
						window.open('market://details?id=com.mobile.freerechargehub', '_blank', 'location=yes');
						//$("#frame").attr("market://details?id=com.mobile.freerechargehub", url);
					  } else {
							//swal("Cancelled", "Your imaginary file is safe :)", "error");
					  }
					});
					
					
				}
				
			}
		});
		
		enablepage(0);
		return false;
}



// Postpaid function 
function postpaidfunc(){
	
	if(!$('#postmobilenumber').val()){
			swal("Please enter mobile number.");
			$('#postmobilenumber').focus();
			return false;
		}
		
	if(!$('#postamt').val()){
		swal("Please enter recharge amount. Minimum amount Rs. 10 !");
		$('#postamt').focus();
		return false;
	}
	
		enablepage(1);
		var action= localStorage.serviceURL+'/freerecharge/mobilerecharge';
		$.ajax({
			"method": "POST",
			"url": action,
			dataType: 'text',
			async: false,
			data: {'mobileNumber':$('#postmobilenumber').val(), 'mobileNetwork':$('#rechargepostopt').val(), 'rechargeAmount':$('#postamt').val(), 'uuid':device.uuid, 'appversion':'4'}, 
			crossDomain: true,
			  error: function (jqXHR, textStatus, errorThrown) {
				//alert(errorThrown);
			},
			success: function (response) {
				var json = $.parseJSON(response);
				
				if(json.success=='1'){
					initApp();	
				}else{
					swal({
					  title: "",
					  text: json.message,
					  type: "warning",
					  showCancelButton: false,
					  confirmButtonColor: "#DD6B55",
					  confirmButtonText: "Ok",
					  closeOnConfirm: false
					});
				}
				
				if(json.recharge=='1'){
					
					swal({
					  title: "",
					  text: "If you like FreeRechargeHub then please take a minute and rate it, Thanks in advance.",
					  type: "success",
					  showCancelButton: true,
					  confirmButtonColor: "#DD6B55",
					  confirmButtonText: "Rate It!",
					  cancelButtonText: "No Thanks",
					  closeOnConfirm: true,
					  closeOnCancel: true
					},
					function(isConfirm){
					  if (isConfirm) {
						window.open('market://details?id=com.mobile.freerechargehub', '_blank ', 'location=yes');
						//$("#frame").attr("market://details?id=com.mobile.freerechargehub", url);
					  } else {
							//swal("Cancelled", "Your imaginary file is safe :)", "error");
					  }
					});
					
					
				}
				
			}
		});
		enablepage(0);
		return false;
	
}


// Auto user login
function trySilentLogin() {
	
	if (localStorage.displayName){
		login();
	}
	
}
